org.apache.cassandra.db

## Class DeletionInfo

- java.lang.Object
- - org.apache.cassandra.db.DeletionInfo

-     public class DeletionInfo
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeletionInfo.Serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeletionInfo(java.nio.ByteBuffer start, java.nio.ByteBuffer end, java.util.Comparator<java.nio.ByteBuffer> comparator, long markedForDeleteAt, int localDeletionTime)`
    `DeletionInfo(DeletionTime topLevel)`
    `DeletionInfo(long markedForDeleteAt, int localDeletionTime)`
    `DeletionInfo(RangeTombstone rangeTombstone, java.util.Comparator<java.nio.ByteBuffer> comparator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeletionInfo` | `add(DeletionInfo newInfo)` Adds the provided deletion infos to the current ones.
    `void` | `add(DeletionTime newInfo)`
    `void` | `add(RangeTombstone tombstone, java.util.Comparator<java.nio.ByteBuffer> comparator)`
    `DeletionInfo` | `copy()`
    `int` | `dataSize()`
    `boolean` | `equals(java.lang.Object o)`
    `DeletionTime` | `getTopLevelDeletion()`
    `int` | `hashCode()`
    `boolean` | `hasIrrelevantData(int gcBefore)`
    `boolean` | `isDeleted(java.nio.ByteBuffer name, long timestamp)`
    `boolean` | `isDeleted(IColumn column)` Return whether a given column is deleted by the container having this deletion info.
    `boolean` | `isLive()` Returns whether this DeletionInfo is live, that is deletes no columns.
    `static DeletionInfo` | `live()`
    `long` | `maxTimestamp()` The maximum timestamp mentioned by this DeletionInfo.
    `long` | `minTimestamp()`
    `void` | `purge(int gcBefore)` Purge every tombstones that are older than `gcbefore`.
    `java.util.Iterator<RangeTombstone>` | `rangeIterator()`
    `static DeletionInfo.Serializer` | `serializer()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeletionInfo

          public DeletionInfo(long markedForDeleteAt,
                      int localDeletionTime)

    - #### DeletionInfo

          public DeletionInfo(DeletionTime topLevel)

    - #### DeletionInfo

          public DeletionInfo(java.nio.ByteBuffer start,
                      java.nio.ByteBuffer end,
                      java.util.Comparator<java.nio.ByteBuffer> comparator,
                      long markedForDeleteAt,
                      int localDeletionTime)

    - #### DeletionInfo

          public DeletionInfo(RangeTombstone rangeTombstone,
                      java.util.Comparator<java.nio.ByteBuffer> comparator)

  - ### Method Detail

    - #### live

          public static DeletionInfo live()

    - #### serializer

          public static DeletionInfo.Serializer serializer()

    - #### copy

          public DeletionInfo copy()

    - #### isLive

          public boolean isLive()

      Returns whether this DeletionInfo is live, that is deletes no columns.

    - #### isDeleted

          public boolean isDeleted(IColumn column)

      Return whether a given column is deleted by the container having this deletion info.
      Parameters:
        `column` - the column to check.
      Returns:
        true if the column is deleted, false otherwise

    - #### isDeleted

          public boolean isDeleted(java.nio.ByteBuffer name,
                          long timestamp)

    - #### purge

          public void purge(int gcBefore)

      Purge every tombstones that are older than `gcbefore`.
      Parameters:
        `gcBefore` - timestamp (in seconds) before which tombstones should be purged

    - #### hasIrrelevantData

          public boolean hasIrrelevantData(int gcBefore)

    - #### add

          public void add(DeletionTime newInfo)

    - #### add

          public void add(RangeTombstone tombstone,
                 java.util.Comparator<java.nio.ByteBuffer> comparator)

    - #### add

          public DeletionInfo add(DeletionInfo newInfo)

      Adds the provided deletion infos to the current ones.
      Returns:
        this object.

    - #### minTimestamp

          public long minTimestamp()

    - #### maxTimestamp

          public long maxTimestamp()

      The maximum timestamp mentioned by this DeletionInfo.

    - #### getTopLevelDeletion

          public DeletionTime getTopLevelDeletion()

    - #### rangeIterator

          public java.util.Iterator<RangeTombstone> rangeIterator()

    - #### dataSize

          public int dataSize()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation